import QtQuick 2.0
import QtQuick.Window 2.3

Item {
    id: root
    width: 360
    height: 600

    Rectangle {
        anchors.fill: parent
        color: "#222222"

        Rectangle {
            id: spinningGraphic
            color: "yellow"
            width:40
            height:40

            anchors.centerIn: parent
            focus: true

            NumberAnimation on rotation {
                id: rotationAnimation
                easing.type: Easing.InOutQuad
                from: -45
                to: 315
                duration: 1500
                loops: Animation.Infinite
                running: spinningGraphic.visible
            }
        }
    }

    NumberAnimation {
        id: anim
        target: root.Window.window
        property: "y"
        duration: 550
        easing.type: Easing.OutQuint
    }

    function startPopupAnimation(startY, endY) {
        anim.from = startY;
        anim.to = endY;
        anim.start();
    }
}
