#ifndef APPMODEL_H
#define APPMODEL_H

#include <memory>
#include <QObject>
#include <QQuickView>
#include <QScreen>
#include <QtWidgets/QSystemTrayIcon>
#include <QtWidgets/QMenu>

class AppModel : public QObject
{
    Q_OBJECT
public:
    AppModel();
    Q_INVOKABLE void launchFlyout();

public slots:
    void onActionTriggered();
    void onSysTrayActivated(QSystemTrayIcon::ActivationReason reason);

private:
    std::shared_ptr<QQuickView> m_view;
    QScreen* m_pScreen;
    std::shared_ptr<QSystemTrayIcon> m_icon;
    std::shared_ptr<QMenu> m_menu;
    std::shared_ptr<QAction> m_action;
};

#endif // APPMODEL_H
