#include <QApplication>
#include <QQmlApplicationEngine>
#include <QObject>
#include <QQuickView>
#include <QQuickItem>
#include <QQmlContext>
#include <QMetaObject>
#include "appmodel.h"
#include <shellapi.h>

int main(int argc, char *argv[])
{
    QByteArray basic("basic");
    qputenv("QSG_RENDER_LOOP", basic);
    qputenv("QT_QUICK_BACKEND", "softwarecontext");   // enable software context renderer

    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QApplication app(argc, argv);

    QQmlApplicationEngine engine;

    AppModel appModel;
    QQmlContext *ctxt = engine.rootContext();
    ctxt->setContextProperty(QStringLiteral("model"), &appModel);

    const QUrl url(QStringLiteral("qrc:/main.qml"));

    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {

        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);

    engine.load(url);

    return app.exec();
}
